Summary:     Linux module utilities
Name:        modutils
Version:     2.4.27
Release:     2.pp
License:     GPL
Group:       System Environment/Kernel
Source0:     ftp://ftp.kernel.org/pub/linux/utils/kernel/%{name}/v2.4/%{name}-%{version}.tar.bz2
URL:         ftp://ftp.kernel.org/pub/linux/utils/kernel/%{name}/v2.4/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc kernel >= 2.4.26
Provides:    %{name}.pp
Prereq:      /bin/bash
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel kernel >= 2.4.26 binutils >= 2.14
BuildPrereq: zlib-devel
ExclusiveOS: linux


%description
The modutils package includes various programs needed for automatic
loading and unloading of modules under 2.2 and later kernels, as well
as other module management programs. Device drivers and filesystems
are two examples of loaded and unloaded modules.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--sbindir=/sbin         \
	--enable-insmod-static  \
	--disable-strip         \
	--enable-zlib           \
	--without-dynamic-zlib
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog COPYING CREDITS INSTALL NEWS README TODO
/sbin/*
/usr/share/man/man1/*
/usr/share/man/man2/*
/usr/share/man/man5/*
/usr/share/man/man8/*


%changelog
* Thu May 06 2004 peter.pramberger@1012surf.net
- created

